> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user information



## OpenAPI

````yaml patch /agency-users/{userId}
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /agency-users/{userId}:
    patch:
      tags:
        - Agency
      summary: Update user information
      operationId: AgencyController_updateUser
      parameters:
        - name: userId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                userName:
                  type: string
                  description: User name
                email:
                  type: string
                  description: User email
                locationID:
                  type: string
                  nullable: true
                  description: Location ID
                terms:
                  type: number
                  description: Terms acceptance status
              required:
                - userName
                - email
                - terms
      responses:
        '200':
          description: User information updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: User information updated successfully
        '400':
          description: Bad request
        '404':
          description: User not found
      security:
        - apiKey: []
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````